using System;

namespace Kvadrati
{
    class Program
    {
        static void Main(string[] args)
        {
            var ulazi = Console.ReadLine().Split();
            int x1 = int.Parse(ulazi[0]);
            int y1 = int.Parse(ulazi[1]);
            ulazi = Console.ReadLine().Split();
            int x2 = int.Parse(ulazi[0]);
            int y2 = int.Parse(ulazi[1]);
            if (x1 == x2 || y1==y2)
            {
                Console.WriteLine(2);
            }
            else if (x1 - x2 == y1-y2)
            {
                Console.WriteLine(1);
            }
            else
            {
                Console.WriteLine(0);
            }
        }
    }
}